Make WordPress Core

Changeset 41599


Ignore:
Timestamp:
09/26/2017 08:32:21 AM (7 years ago)
Author:
dd32
Message:

Embeds: Switch the Imgur oEmbed endpoint to use SSL as the HTTP version has been deprecated.

Props swissspidy.
Fixes #41984.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/wp-includes/class-oembed.php

    r41347 r41599  
    7979            '#https?://(www\.)?instagr(\.am|am\.com)/p/.*#i'           => array( 'https://api.instagram.com/oembed',                          true  ),
    8080            '#https?://(open|play)\.spotify\.com/.*#i'                 => array( 'https://embed.spotify.com/oembed/',                         true  ),
    81             '#https?://(.+\.)?imgur\.com/.*#i'                         => array( 'http://api.imgur.com/oembed',                               true  ),
     81            '#https?://(.+\.)?imgur\.com/.*#i'                         => array( 'https://api.imgur.com/oembed',                              true  ),
    8282            '#https?://(www\.)?meetu(\.ps|p\.com)/.*#i'                => array( 'https://api.meetup.com/oembed',                             true  ),
    8383            '#https?://(www\.)?issuu\.com/.+/docs/.+#i'                => array( 'https://issuu.com/oembed_wp',                               true  ),
Note: See TracChangeset for help on using the changeset viewer.